local gr = love.graphics
local ColorSplit = [[
	// jangsy5 code
extern number shift = 20;
vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
	{
	vec2 tc = texture_coords;
	vec2 scale = vec2(1.0/800.0, 1.0/600.0);
	vec4 r = Texel(texture, vec2(tc.x + shift * scale.x, tc.y - shift * scale.y));
	vec4 g = Texel(texture, vec2(tc.x, tc.y + shift*scale.y));
	vec4 b = Texel(texture, vec2(tc.x - shift*scale.x, tc.y - shift*scale.y));
	number a = r.a+g.a+b.a / 3.0;

	return vec4(r.r, g.g, b.b, a);
	}
]]

function love.load()
	love.window.setTitle( 'Color Split' )
	image	= gr.newImage( 'mouse.png')
	iw,ih	= image:getWidth(),image:getHeight()
	shader	= gr.newShader( ColorSplit )
	gr.setFont( gr.newFont( 64 ) )
	num		= 1
	dir		= 0.1
	canvas	= gr.newCanvas(800,600)
	gr.setCanvas(canvas)
		gr.setBackgroundColor(95,95,95)
		gr.printf("TestingTestingTesting", 50,100,500,'left')
		gr.rectangle('fill', 375,450, 50,50)
		gr.circle('line',400,475,60)
		gr.draw( image, 400, 300, 0, 1,1, iw/2, ih/2 )
		gr.setCanvas()
	end

function love.update( dt )
	num = num + dir
	if num < 0 or num > 50 then dir = -dir end
	shader:send('shift',num)
	end

function love.draw()
	gr.setShader( shader )
	gr.draw( canvas )
	gr.setShader()
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
